Overview
DELETE
/project/projects/{id}/participants/{participantId}projectDetach a participant by (kind, entity-id) (+ a participant.removed activity)
Delete a record from participants by id, participantId.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
- participantIdpathstring
- kindquerystring
Responses
204
Removed
No response body.
400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X DELETE "https://api.agenticdeveloperhub.com/project/projects/{id}/participants/{participantId}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/project/projects/{id}/participants/{participantId}", {
method: "DELETE",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();